Bug 228579 - Unable to install a raw hide guest with virt-install or virt-manager
Unable to install a raw hide guest with virt-install or virt-manager
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-virtinst (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-13 15:54 EST by Steve Dickson
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-09 17:20:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Dickson 2007-02-13 15:54:34 EST
Description of problem:
I get the following error when I try to install a rawhide
guest with virt-install 

Starting install...
libvir: Xen Daemon error : POST operation failed: (xend.err 'destroyDevice()
takes exactly 3 arguments (2 given)')
Failed to get devices for domain rawhide
Traceback (most recent call last):
  File "/usr/sbin/virt-install", line 447, in ?
    main()
  File "/usr/sbin/virt-install", line 411, in main
    dom = guest.start_install(conscb)
  File "/usr/lib/python2.4/site-packages/virtinst/ParaVirtGuest.py", line 202,
in start_install
    return XenGuest.XenGuest.start_install(self, consolecb)
  File "/usr/lib/python2.4/site-packages/virtinst/XenGuest.py", line 366, in
start_install
    self.domain = self.conn.createLinux(cxml, 0)
  File "/usr/lib/python2.4/site-packages/libvirt.py", line 329, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirt.libvirtError: virDomainCreateLinux() failed POST operation failed:
(xend.err 'destroyDevice() takes exactly 3 arguments (2 given)')

[Note: virt-manager just hangs]

Version-Release number of selected component (if applicable):
python-virtinst-0.98.0-1.fc6
libvirt-0.1.11-1.fc6
virt-manager-0.2.6-3.fc6
kernel-xen-2.6.19-1.2895.fc6

How reproducible:
all the time... 

Steps to Reproduce:
Would you like a fully virtualized guest (yes or no)?  This will allow you to
run unmodified operating systems. no
 What is the name of your virtual machine? rawhide
 How much RAM should be allocated (in megabytes)? 512
 What would you like to use as the disk (path)? /dev/mapper/VolGroup00-rawhide
 Would you like to enable graphics support? (yes or no) yes
 What is the install location? nfs:bigpapi:/vol/engineering/redhat/rawhide-i386
 

Starting install...
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2007-04-09 17:20:48 EDT
This should work now afaik

Note You need to log in before you can comment on or make changes to this bug.